Manifest merger failed : Attribute application@appComponentFactory value=(android.support.v4.app.CoreComponentFactory) from [com.android.support:support-compat:28.0.0] AndroidManifest.xml:22:18-91 is also present at [androidx.core:core:1.0.0] AndroidManifest.xml:22:18-86 value=(androidx.core.app.CoreComponentFactory). Suggestion: add 'tools:replace="android:appComponentFactory"' to element at AndroidManifest.xml:11:5-27:19 to override.


Step 1) Goto gradle.properties file:-

Add this line:- 


android.enableJetifier=true

android.useAndroidX=true


Step 2) Goto build.gradle(Module:app) file:-

Add this line:- 

implementation 'androidx.appcompat:appcompat: 1.0.2'

Remove this line:-
implementation com.android.support:appcompat-v7:28.+

Comments

Post a Comment

Popular posts from this blog

Lint found fatal errors while assembling a release target.

Windows 7 all Version 64-Bit iso file Download with crack activation. (Google Drive Link)

ViewModelProviders.of(this) is deprecated what to use instead ViewModelProviders.of(this) OR if you don't want to use ViewmodelFactory OR ViewModelProviders error.